# Class Signage#setPortraitMode

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#setPortraitMode(successCallback, errorCallback, options) Sets Portrait Mode.

## Class Detail

Signage#setPortraitMode(successCallback, errorCallback, options)

Sets Portrait Mode.

    function setPortraitMode() {

       var options = {
         portraitMode: Signage.OsdPortraitMode.ON
       };

       var successCb = function (){
         console.log("Portrait Mode successfully Set");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;

         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.setPortraitMode(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  Input Parameters
{Signage.OsdPortraitMode} options.portraitMode
  Portrait mode.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.